Skip to main content
Version: Dev

User

Get User​

GET /user/{UUID} or /user/@{username}

Notes​

  • If left empty, it will get the owner of the token's info
    • You will only receive the email of the token owner if you have the user.email scope
    • It will return NULL for both email and email_verified
  • When requesting a specific user, the email and email_verified will not be returned
  • avatar currently returns a Gravatar URL; you can follow their docs for further customisation

Scopes​

user.get, user.email

Response​

{
"uuid": "string",
"username": "string",
"display_name": "string",
"avatar": "string",
"email": "string",
"email_verified": "boolean",
"badge": ["array"],
"bio": "string",
"follow_count": int,
"following_count": int,
"has_followed": "boolean",
"joined": timestamp
}

Get User Posts​

GET /user/{UUID}/posts/{page}

Scopes​

user.get, post.get

Response​

{
"user": "string",
"posts": [
{"post object"},
{"post object"},
{"post object"}
]
}

Follow/Unfollow​

POST /user/{UUID}/follow

Scopes​

user.get, user.follow

Response​

{
"action": "followed",
"uuid": "string"
}
{
"action": "unfollowed",
"uuid": "string"
}

Get Following​

GET /user/{UUID}/following

Scopes​

user.get, user.following.get

Response​

{
"following": ["array"]
}

Get Followers​

GET /user/{UUID}/followers

Scopes​

user.get, user.followers.get

Response​

{
"followers": ["array"]
}